!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 183

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1281)
  integer, parameter :: nGC_5141 = 1
  integer, parameter :: nGC_5134 = 2
  integer, parameter :: nGC_5137 = 3
  integer, parameter :: nGC_5136 = 4
  integer, parameter :: nGC_5131 = 5
  integer, parameter :: nGC_5130 = 6
  integer, parameter :: nGC_5133 = 7
  integer, parameter :: nGC_5132 = 8
  integer, parameter :: nGC_5139 = 9
  integer, parameter :: nGC_5138 = 10
  integer, parameter :: nGC_5440 = 11
  integer, parameter :: nGC_5443 = 12
  integer, parameter :: nGC_5442 = 13
  integer, parameter :: nGC_5445 = 14
  integer, parameter :: nGC_5444 = 15
  integer, parameter :: nGC_5446 = 16
  integer, parameter :: nGC_5449 = 17
  integer, parameter :: nGC_5424 = 18
  integer, parameter :: nGC_147 = 19
  integer, parameter :: nGC_83 = 20
  integer, parameter :: nGC_5255 = 21
  integer, parameter :: nGC_5312 = 22
  integer, parameter :: nGC_5257 = 23
  integer, parameter :: nGC_5347 = 24
  integer, parameter :: nGC_5344 = 25
  integer, parameter :: nGC_5345 = 26
  integer, parameter :: nGC_5229 = 27
  integer, parameter :: nGC_5341 = 28
  integer, parameter :: nGC_5224 = 29
  integer, parameter :: nGC_5227 = 30
  integer, parameter :: nGC_5226 = 31
  integer, parameter :: nGC_5221 = 32
  integer, parameter :: nGC_5220 = 33
  integer, parameter :: nGC_5223 = 34
  integer, parameter :: nGC_5222 = 35
  integer, parameter :: nGC_101 = 36
  integer, parameter :: nGC_MZ_GF = 37
  integer, parameter :: nGC_98 = 38
  integer, parameter :: nGC_5253 = 39
  integer, parameter :: nGC_102 = 40
  integer, parameter :: nGC_97 = 41
  integer, parameter :: nGC_28 = 42
  integer, parameter :: nGC_29 = 43
  integer, parameter :: nGC_5148 = 44
  integer, parameter :: nGC_96 = 45
  integer, parameter :: nGC_22 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_20 = 48
  integer, parameter :: nGC_21 = 49
  integer, parameter :: nGC_26 = 50
  integer, parameter :: nGC_27 = 51
  integer, parameter :: nGC_24 = 52
  integer, parameter :: nGC_25 = 53
  integer, parameter :: nGC_153 = 54
  integer, parameter :: nGC_152 = 55
  integer, parameter :: nGC_151 = 56
  integer, parameter :: nGC_150 = 57
  integer, parameter :: nGC_154 = 58
  integer, parameter :: nGC_159 = 59
  integer, parameter :: nGC_158 = 60
  integer, parameter :: nGC_92 = 61
  integer, parameter :: nGC_140 = 62
  integer, parameter :: nGC_5239 = 63
  integer, parameter :: nGC_5190 = 64
  integer, parameter :: nGC_5362 = 65
  integer, parameter :: nGC_5263 = 66
  integer, parameter :: nGC_118 = 67
  integer, parameter :: nGC_5230 = 68
  integer, parameter :: nGC_5405 = 69
  integer, parameter :: nGC_5404 = 70
  integer, parameter :: nGC_5407 = 71
  integer, parameter :: nGC_5231 = 72
  integer, parameter :: nGC_5401 = 73
  integer, parameter :: nGC_5402 = 74
  integer, parameter :: nGC_5236 = 75
  integer, parameter :: nGC_5293 = 76
  integer, parameter :: nGC_5408 = 77
  integer, parameter :: nGC_125 = 78
  integer, parameter :: nGC_122 = 79
  integer, parameter :: nGC_120 = 80
  integer, parameter :: nGC_121 = 81
  integer, parameter :: nGC_797 = 82
  integer, parameter :: nGC_5281 = 83
  integer, parameter :: nGC_100 = 84
  integer, parameter :: nGC_5044 = 85
  integer, parameter :: nGC_5046 = 86
  integer, parameter :: nGC_MMW_GF = 87
  integer, parameter :: nGC_5049 = 88
  integer, parameter :: nGC_5048 = 89
  integer, parameter :: nGC_107 = 90
  integer, parameter :: nGC_5167 = 91
  integer, parameter :: nGC_5164 = 92
  integer, parameter :: nGC_5165 = 93
  integer, parameter :: nGC_5161 = 94
  integer, parameter :: nGC_5261 = 95
  integer, parameter :: nGC_70 = 96
  integer, parameter :: nGC_141 = 97
  integer, parameter :: nGC_5170 = 98
  integer, parameter :: nGC_5309 = 99
  integer, parameter :: nGC_5303 = 100
  integer, parameter :: nGC_5301 = 101
  integer, parameter :: nGC_5307 = 102
  integer, parameter :: nGC_5304 = 103
  integer, parameter :: nGC_5305 = 104
  integer, parameter :: nGC_87 = 105
  integer, parameter :: nGC_65 = 106
  integer, parameter :: nGC_MW_GF = 107
  integer, parameter :: nGC_5381 = 108
  integer, parameter :: nGC_5294 = 109
  integer, parameter :: nGC_5071 = 110
  integer, parameter :: nGC_5462 = 111
  integer, parameter :: nGC_5459 = 112
  integer, parameter :: nGC_5277 = 113
  integer, parameter :: nGC_5275 = 114
  integer, parameter :: nGC_5273 = 115
  integer, parameter :: nGC_5271 = 116
  integer, parameter :: nGC_5278 = 117
  integer, parameter :: nGC_5279 = 118
  integer, parameter :: nGC_3 = 119
  integer, parameter :: nGC_2 = 120
  integer, parameter :: nGC_1 = 121
  integer, parameter :: nGC_7 = 122
  integer, parameter :: nGC_6 = 123
  integer, parameter :: nGC_5 = 124
  integer, parameter :: nGC_4 = 125
  integer, parameter :: nGC_5377 = 126
  integer, parameter :: nGC_9 = 127
  integer, parameter :: nGC_8 = 128
  integer, parameter :: nGC_5372 = 129
  integer, parameter :: nGC_5371 = 130
  integer, parameter :: nGC_5437 = 131
  integer, parameter :: nGC_5282 = 132
  integer, parameter :: nGC_53 = 133
  integer, parameter :: nGC_52 = 134
  integer, parameter :: nGC_51 = 135
  integer, parameter :: nGC_50 = 136
  integer, parameter :: nGC_57 = 137
  integer, parameter :: nGC_56 = 138
  integer, parameter :: nGC_55 = 139
  integer, parameter :: nGC_54 = 140
  integer, parameter :: nGC_13 = 141
  integer, parameter :: nGC_59 = 142
  integer, parameter :: nGC_58 = 143
  integer, parameter :: nGC_12 = 144
  integer, parameter :: nGC_7757 = 145
  integer, parameter :: nGC_7750 = 146
  integer, parameter :: nGC_8147 = 147
  integer, parameter :: nGC_5289 = 148
  integer, parameter :: nGC_162 = 149
  integer, parameter :: nGC_163 = 150
  integer, parameter :: nGC_160 = 151
  integer, parameter :: nGC_161 = 152
  integer, parameter :: nGC_5287 = 153
  integer, parameter :: nGC_5285 = 154
  integer, parameter :: nGC_5280 = 155
  integer, parameter :: nGC_19 = 156
  integer, parameter :: nGC_106 = 157
  integer, parameter :: nGC_MZp = 158
  integer, parameter :: nGC_5389 = 159
  integer, parameter :: nGC_5121 = 160
  integer, parameter :: nGC_5127 = 161
  integer, parameter :: nGC_5124 = 162
  integer, parameter :: nGC_5125 = 163
  integer, parameter :: nGC_5080 = 164
  integer, parameter :: nGC_5128 = 165
  integer, parameter :: nGC_5082 = 166
  integer, parameter :: nGC_5084 = 167
  integer, parameter :: nGC_5086 = 168
  integer, parameter :: nGC_18 = 169
  integer, parameter :: nGC_8608 = 170
  integer, parameter :: nGC_5456 = 171
  integer, parameter :: nGC_5454 = 172
  integer, parameter :: nGC_5455 = 173
  integer, parameter :: nGC_5452 = 174
  integer, parameter :: nGC_5453 = 175
  integer, parameter :: nGC_5451 = 176
  integer, parameter :: nGC_5095 = 177
  integer, parameter :: nGC_MS = 178
  integer, parameter :: nGC_8360 = 179
  integer, parameter :: nGC_5155 = 180
  integer, parameter :: nGC_5153 = 181
  integer, parameter :: nGC_5158 = 182
  integer, parameter :: nGC_5351 = 183
  integer, parameter :: nGC_5171 = 184
  integer, parameter :: nGC_5079 = 185
  integer, parameter :: nGC_8965 = 186
  integer, parameter :: nGC_5173 = 187
  integer, parameter :: nGC_8966 = 188
  integer, parameter :: nGC_5333 = 189
  integer, parameter :: nGC_5330 = 190
  integer, parameter :: nGC_5336 = 191
  integer, parameter :: nGC_5335 = 192
  integer, parameter :: nGC_7808 = 193
  integer, parameter :: nGC_5232 = 194
  integer, parameter :: nGC_5233 = 195
  integer, parameter :: nGC_5339 = 196
  integer, parameter :: nGC_5338 = 197
  integer, parameter :: nGC_5237 = 198
  integer, parameter :: nGC_5234 = 199
  integer, parameter :: nGC_5235 = 200
  integer, parameter :: nGC_5276 = 201
  integer, parameter :: nGC_8158 = 202
  integer, parameter :: nGC_5176 = 203
  integer, parameter :: nGC_7720 = 204
  integer, parameter :: nGC_5295 = 205
  integer, parameter :: nGC_5179 = 206
  integer, parameter :: nGC_7721 = 207
  integer, parameter :: nGC_5296 = 208
  integer, parameter :: nGC_5297 = 209
  integer, parameter :: nGC_8811 = 210
  integer, parameter :: nGC_17 = 211
  integer, parameter :: nGC_16 = 212
  integer, parameter :: nGC_15 = 213
  integer, parameter :: nGC_14 = 214
  integer, parameter :: nGC_11 = 215
  integer, parameter :: nGC_10 = 216
  integer, parameter :: nGC_5243 = 217
  integer, parameter :: nGC_5091 = 218
  integer, parameter :: nGC_5241 = 219
  integer, parameter :: nGC_5332 = 220
  integer, parameter :: nGC_5077 = 221
  integer, parameter :: nGC_7895 = 222
  integer, parameter :: nGC_5249 = 223
  integer, parameter :: nGC_5247 = 224
  integer, parameter :: nGC_5245 = 225
  integer, parameter :: nGC_5244 = 226
  integer, parameter :: nGC_7898 = 227
  integer, parameter :: nGC_5242 = 228
  integer, parameter :: nGC_5240 = 229
  integer, parameter :: nGC_155 = 230
  integer, parameter :: nGC_1215 = 231
  integer, parameter :: nGC_5413 = 232
  integer, parameter :: nGC_5410 = 233
  integer, parameter :: nGC_5411 = 234
  integer, parameter :: nGC_5416 = 235
  integer, parameter :: nGC_5414 = 236
  integer, parameter :: nGC_5415 = 237
  integer, parameter :: nGC_5378 = 238
  integer, parameter :: nGC_9183 = 239
  integer, parameter :: nGC_134 = 240
  integer, parameter :: nGC_4826 = 241
  integer, parameter :: nGC_4820 = 242
  integer, parameter :: nGC_133 = 243
  integer, parameter :: nGC_4940 = 244
  integer, parameter :: nGC_5375 = 245
  integer, parameter :: nGC_4945 = 246
  integer, parameter :: nGC_84 = 247
  integer, parameter :: nGC_5374 = 248
  integer, parameter :: nGC_5259 = 249
  integer, parameter :: nGC_9405 = 250
  integer, parameter :: nGC_43 = 251
  integer, parameter :: nGC_5052 = 252
  integer, parameter :: nGC_5053 = 253
  integer, parameter :: nGC_5050 = 254
  integer, parameter :: nGC_5051 = 255
  integer, parameter :: nGC_5054 = 256
  integer, parameter :: nGC_5058 = 257
  integer, parameter :: nGC_5059 = 258
  integer, parameter :: nGC_95 = 259
  integer, parameter :: nGC_5118 = 260
  integer, parameter :: nGC_5113 = 261
  integer, parameter :: nGC_5110 = 262
  integer, parameter :: nGC_5115 = 263
  integer, parameter :: nGC_5114 = 264
  integer, parameter :: nGC_5463 = 265
  integer, parameter :: nGC_5348 = 266
  integer, parameter :: nGC_5461 = 267
  integer, parameter :: nGC_5460 = 268
  integer, parameter :: nGC_93 = 269
  integer, parameter :: nGC_5349 = 270
  integer, parameter :: nGC_7846 = 271
  integer, parameter :: nGC_103 = 272
  integer, parameter :: nGC_5269 = 273
  integer, parameter :: nGC_116 = 274
  integer, parameter :: nGC_132 = 275
  integer, parameter :: nGC_8723 = 276
  integer, parameter :: nGC_227 = 277
  integer, parameter :: nGC_8724 = 278
  integer, parameter :: nGC_MWp = 279
  integer, parameter :: nGC_5162 = 280
  integer, parameter :: nGC_7677 = 281
  integer, parameter :: nGC_5318 = 282
  integer, parameter :: nGC_MH = 283
  integer, parameter :: nGC_5390 = 284
  integer, parameter :: nGC_5203 = 285
  integer, parameter :: nGC_5202 = 286
  integer, parameter :: nGC_5200 = 287
  integer, parameter :: nGC_5206 = 288
  integer, parameter :: nGC_5205 = 289
  integer, parameter :: nGC_5204 = 290
  integer, parameter :: nGC_5209 = 291
  integer, parameter :: nGC_5208 = 292
  integer, parameter :: nGC_9419 = 293
  integer, parameter :: nGC_5368 = 294
  integer, parameter :: nGC_1227 = 295
  integer, parameter :: nGC_5365 = 296
  integer, parameter :: nGC_5366 = 297
  integer, parameter :: nGC_5367 = 298
  integer, parameter :: nGC_5360 = 299
  integer, parameter :: nGC_5363 = 300
  integer, parameter :: nGC_8381 = 301
  integer, parameter :: nGC_8380 = 302
  integer, parameter :: nGC_359 = 303
  integer, parameter :: nGC_5439 = 304
  integer, parameter :: nGC_8024 = 305
  integer, parameter :: nGC_MB = 306
  integer, parameter :: nGC_7773 = 307
  integer, parameter :: nGC_4850 = 308
  integer, parameter :: nGC_48 = 309
  integer, parameter :: nGC_49 = 310
  integer, parameter :: nGC_5422 = 311
  integer, parameter :: nGC_44 = 312
  integer, parameter :: nGC_45 = 313
  integer, parameter :: nGC_46 = 314
  integer, parameter :: nGC_47 = 315
  integer, parameter :: nGC_40 = 316
  integer, parameter :: nGC_41 = 317
  integer, parameter :: nGC_42 = 318
  integer, parameter :: nGC_7662 = 319
  integer, parameter :: nGC_5298 = 320
  integer, parameter :: nGC_8150 = 321
  integer, parameter :: nGC_5251 = 322
  integer, parameter :: nGC_4865 = 323
  integer, parameter :: nGC_4866 = 324
  integer, parameter :: nGC_4867 = 325
  integer, parameter :: nGC_5096 = 326
  integer, parameter :: nGC_5097 = 327
  integer, parameter :: nGC_705 = 328
  integer, parameter :: nGC_5092 = 329
  integer, parameter :: nGC_5093 = 330
  integer, parameter :: nGC_5090 = 331
  integer, parameter :: nGC_138 = 332
  integer, parameter :: nGC_5098 = 333
  integer, parameter :: nGC_5099 = 334
  integer, parameter :: nGC_8483 = 335
  integer, parameter :: nGC_135 = 336
  integer, parameter :: nGC_7805 = 337
  integer, parameter :: nGC_137 = 338
  integer, parameter :: nGC_4915 = 339
  integer, parameter :: nGC_136 = 340
  integer, parameter :: nGC_7722 = 341
  integer, parameter :: nGC_4912 = 342
  integer, parameter :: nGC_4913 = 343
  integer, parameter :: nGC_5423 = 344
  integer, parameter :: nGC_131 = 345
  integer, parameter :: nGC_4918 = 346
  integer, parameter :: nGC_5369 = 347
  integer, parameter :: nGC_5425 = 348
  integer, parameter :: nGC_130 = 349
  integer, parameter :: nGC_4991 = 350
  integer, parameter :: nGC_7963 = 351
  integer, parameter :: nGC_7964 = 352
  integer, parameter :: nGC_7969 = 353
  integer, parameter :: nGC_8372 = 354
  integer, parameter :: nGC_1017 = 355
  integer, parameter :: nGC_5145 = 356
  integer, parameter :: nGC_5069 = 357
  integer, parameter :: nGC_5140 = 358
  integer, parameter :: nGC_5142 = 359
  integer, parameter :: nGC_5143 = 360
  integer, parameter :: nGC_5063 = 361
  integer, parameter :: nGC_139 = 362
  integer, parameter :: nGC_5061 = 363
  integer, parameter :: nGC_5060 = 364
  integer, parameter :: nGC_61 = 365
  integer, parameter :: nGC_5314 = 366
  integer, parameter :: nGC_7614 = 367
  integer, parameter :: nGC_5430 = 368
  integer, parameter :: nGC_5320 = 369
  integer, parameter :: nGC_5321 = 370
  integer, parameter :: nGC_5322 = 371
  integer, parameter :: nGC_5323 = 372
  integer, parameter :: nGC_5324 = 373
  integer, parameter :: nGC_5326 = 374
  integer, parameter :: nGC_5327 = 375
  integer, parameter :: nGC_5328 = 376
  integer, parameter :: nGC_5329 = 377
  integer, parameter :: nGC_7810 = 378
  integer, parameter :: nGC_851 = 379
  integer, parameter :: nGC_4859 = 380
  integer, parameter :: nGC_5426 = 381
  integer, parameter :: nGC_4848 = 382
  integer, parameter :: nGC_5431 = 383
  integer, parameter :: nGC_7726 = 384
  integer, parameter :: nGC_4879 = 385
  integer, parameter :: nGC_8808 = 386
  integer, parameter :: nGC_4878 = 387
  integer, parameter :: nGC_4919 = 388
  integer, parameter :: nGC_146 = 389
  integer, parameter :: nGC_5210 = 390
  integer, parameter :: nGC_5146 = 391
  integer, parameter :: nGC_8989 = 392
  integer, parameter :: nGC_157 = 393
  integer, parameter :: nGC_4871 = 394
  integer, parameter :: nGC_156 = 395
  integer, parameter :: nGC_5395 = 396
  integer, parameter :: nGC_5396 = 397
  integer, parameter :: nGC_5391 = 398
  integer, parameter :: nGC_4844 = 399
  integer, parameter :: nGC_5393 = 400
  integer, parameter :: nGC_5392 = 401
  integer, parameter :: nGC_5254 = 402
  integer, parameter :: nGC_4877 = 403
  integer, parameter :: nGC_5256 = 404
  integer, parameter :: nGC_4845 = 405
  integer, parameter :: nGC_5399 = 406
  integer, parameter :: nGC_5398 = 407
  integer, parameter :: nGC_5252 = 408
  integer, parameter :: nGC_4876 = 409
  integer, parameter :: nGC_8050 = 410
  integer, parameter :: nGC_99 = 411
  integer, parameter :: nGC_91 = 412
  integer, parameter :: nGC_90 = 413
  integer, parameter :: nGC_5192 = 414
  integer, parameter :: nGC_5191 = 415
  integer, parameter :: nGC_4849 = 416
  integer, parameter :: nGC_5197 = 417
  integer, parameter :: nGC_5196 = 418
  integer, parameter :: nGC_5194 = 419
  integer, parameter :: nGC_5067 = 420
  integer, parameter :: nGC_5198 = 421
  integer, parameter :: nGC_5066 = 422
  integer, parameter :: nGC_75 = 423
  integer, parameter :: nGC_74 = 424
  integer, parameter :: nGC_77 = 425
  integer, parameter :: nGC_76 = 426
  integer, parameter :: nGC_71 = 427
  integer, parameter :: nGC_73 = 428
  integer, parameter :: nGC_72 = 429
  integer, parameter :: nGC_5064 = 430
  integer, parameter :: nGC_79 = 431
  integer, parameter :: nGC_78 = 432
  integer, parameter :: nGC_5149 = 433
  integer, parameter :: nGC_117 = 434
  integer, parameter :: nGC_142 = 435
  integer, parameter :: nGC_8605 = 436
  integer, parameter :: nGC_104 = 437
  integer, parameter :: nGC_105 = 438
  integer, parameter :: nGC_109 = 439
  integer, parameter :: nGC_4880 = 440
  integer, parameter :: nGC_9421 = 441
  integer, parameter :: nGC_9007 = 442
  integer, parameter :: nGC_5073 = 443
  integer, parameter :: nGC_86 = 444
  integer, parameter :: nGC_143 = 445
  integer, parameter :: nGC_8239 = 446
  integer, parameter :: nGC_7533 = 447
  integer, parameter :: nGC_5342 = 448
  integer, parameter :: nGC_5384 = 449
  integer, parameter :: nGC_5088 = 450
  integer, parameter :: nGC_5100 = 451
  integer, parameter :: nGC_7553 = 452
  integer, parameter :: nGC_5104 = 453
  integer, parameter :: nGC_5105 = 454
  integer, parameter :: nGC_5106 = 455
  integer, parameter :: nGC_5107 = 456
  integer, parameter :: nGC_4884 = 457
  integer, parameter :: nGC_7530 = 458
  integer, parameter :: nGC_5433 = 459
  integer, parameter :: nGC_8170 = 460
  integer, parameter :: nGC_5112 = 461
  integer, parameter :: nGC_108 = 462
  integer, parameter :: nGC_7856 = 463
  integer, parameter :: nGC_8129 = 464
  integer, parameter :: nGC_4885 = 465
  integer, parameter :: nGC_5264 = 466
  integer, parameter :: nGC_5218 = 467
  integer, parameter :: nGC_5417 = 468
  integer, parameter :: nGC_5267 = 469
  integer, parameter :: nGC_5083 = 470
  integer, parameter :: nGC_5262 = 471
  integer, parameter :: nGC_5036 = 472
  integer, parameter :: nGC_5037 = 473
  integer, parameter :: nGC_219 = 474
  integer, parameter :: nGC_5032 = 475
  integer, parameter :: nGC_7647 = 476
  integer, parameter :: nGC_4916 = 477
  integer, parameter :: nGC_149 = 478
  integer, parameter :: nGC_9135 = 479
  integer, parameter :: nGC_9134 = 480
  integer, parameter :: nGC_4883 = 481
  integer, parameter :: nGC_5211 = 482
  integer, parameter :: nGC_5212 = 483
  integer, parameter :: nGC_5213 = 484
  integer, parameter :: nGC_5214 = 485
  integer, parameter :: nGC_5215 = 486
  integer, parameter :: nGC_5216 = 487
  integer, parameter :: nGC_5217 = 488
  integer, parameter :: nGC_5219 = 489
  integer, parameter :: nGC_82 = 490
  integer, parameter :: nGC_5359 = 491
  integer, parameter :: nGC_148 = 492
  integer, parameter :: nGC_9544 = 493
  integer, parameter :: nGC_5354 = 494
  integer, parameter :: nGC_5357 = 495
  integer, parameter :: nGC_8832 = 496
  integer, parameter :: nGC_8831 = 497
  integer, parameter :: nGC_8781 = 498
  integer, parameter :: nGC_5350 = 499
  integer, parameter :: nGC_5353 = 500
  integer, parameter :: nGC_4881 = 501
  integer, parameter :: nGC_5181 = 502
  integer, parameter :: nGC_8019 = 503
  integer, parameter :: nGC_665 = 504
  integer, parameter :: nGC_94 = 505
  integer, parameter :: nGC_39 = 506
  integer, parameter :: nGC_38 = 507
  integer, parameter :: nGC_8986 = 508
  integer, parameter :: nGC_31 = 509
  integer, parameter :: nGC_30 = 510
  integer, parameter :: nGC_33 = 511
  integer, parameter :: nGC_5356 = 512
  integer, parameter :: nGC_35 = 513
  integer, parameter :: nGC_34 = 514
  integer, parameter :: nGC_37 = 515
  integer, parameter :: nGC_36 = 516
  integer, parameter :: nGC_4855 = 517
  integer, parameter :: nGC_4854 = 518
  integer, parameter :: nGC_4857 = 519
  integer, parameter :: nGC_7772 = 520
  integer, parameter :: nGC_5299 = 521
  integer, parameter :: nGC_4990 = 522
  integer, parameter :: nGC_4858 = 523
  integer, parameter :: nGC_4992 = 524
  integer, parameter :: nGC_4993 = 525
  integer, parameter :: nGC_5265 = 526
  integer, parameter :: nGC_8169 = 527
  integer, parameter :: nGC_7716 = 528
  integer, parameter :: nGC_7813 = 529
  integer, parameter :: nGC_8646 = 530
  integer, parameter :: nGC_8647 = 531
  integer, parameter :: nGC_9403 = 532
  integer, parameter :: nGC_5101 = 533
  integer, parameter :: nGC_5458 = 534
  integer, parameter :: nGC_10174 = 535
  integer, parameter :: nGC_8581 = 536
  integer, parameter :: nGC_5457 = 537
  integer, parameter :: nGC_119 = 538
  integer, parameter :: nGC_5102 = 539
  integer, parameter :: nGC_9566 = 540
  integer, parameter :: nGC_5428 = 541
  integer, parameter :: nGC_67 = 542
  integer, parameter :: nGC_4921 = 543
  integer, parameter :: nGC_4920 = 544
  integer, parameter :: nGC_4922 = 545
  integer, parameter :: nGC_4925 = 546
  integer, parameter :: nGC_4924 = 547
  integer, parameter :: nGC_4927 = 548
  integer, parameter :: nGC_4926 = 549
  integer, parameter :: nGC_5122 = 550
  integer, parameter :: nGC_4928 = 551
  integer, parameter :: nGC_5434 = 552
  integer, parameter :: nGC_5435 = 553
  integer, parameter :: nGC_5436 = 554
  integer, parameter :: nGC_781 = 555
  integer, parameter :: nGC_MI = 556
  integer, parameter :: nGC_14078 = 557
  integer, parameter :: nGC_MM = 558
  integer, parameter :: nGC_MC = 559
  integer, parameter :: nGC_5250 = 560
  integer, parameter :: nGC_7951 = 561
  integer, parameter :: nGC_14076 = 562
  integer, parameter :: nGC_MD = 563
  integer, parameter :: nGC_5315 = 564
  integer, parameter :: nGC_MZ = 565
  integer, parameter :: nGC_4895 = 566
  integer, parameter :: nGC_5123 = 567
  integer, parameter :: nGC_8346 = 568
  integer, parameter :: nGC_MW = 569
  integer, parameter :: nGC_MU = 570
  integer, parameter :: nGC_MT = 571
  integer, parameter :: nGC_7582 = 572
  integer, parameter :: nGC_126 = 573
  integer, parameter :: nGC_7580 = 574
  integer, parameter :: nGC_5172 = 575
  integer, parameter :: nGC_5175 = 576
  integer, parameter :: nGC_5174 = 577
  integer, parameter :: nGC_5177 = 578
  integer, parameter :: nGC_127 = 579
  integer, parameter :: nGC_5070 = 580
  integer, parameter :: nGC_5178 = 581
  integer, parameter :: nGC_5074 = 582
  integer, parameter :: nGC_124 = 583
  integer, parameter :: nGC_5076 = 584
  integer, parameter :: nGC_145 = 585
  integer, parameter :: nGC_4833 = 586
  integer, parameter :: nGC_69 = 587
  integer, parameter :: nGC_123 = 588
  integer, parameter :: nGC_8144 = 589
  integer, parameter :: nGC_7789 = 590
  integer, parameter :: nGC_223 = 591
  integer, parameter :: nGC_8449 = 592
  integer, parameter :: nGC_4888 = 593
  integer, parameter :: nGC_4917 = 594
  integer, parameter :: nGC_5317 = 595
  integer, parameter :: nGC_5316 = 596
  integer, parameter :: nGC_5311 = 597
  integer, parameter :: nGC_4934 = 598
  integer, parameter :: nGC_5313 = 599
  integer, parameter :: nGC_4935 = 600
  integer, parameter :: nGC_7706 = 601
  integer, parameter :: nGC_8362 = 602
  integer, parameter :: nGC_I = 603
  integer, parameter :: nGC_128 = 604
  integer, parameter :: nGC_4889 = 605
  integer, parameter :: nGC_5290 = 606
  integer, parameter :: nGC_129 = 607
  integer, parameter :: nGC_10356 = 608
  integer, parameter :: nGC_10357 = 609
  integer, parameter :: nGC_MTA = 610
  integer, parameter :: nGC_9620 = 611
  integer, parameter :: nGC_4875 = 612
  integer, parameter :: nGC_11903 = 613
  integer, parameter :: nGC_7558 = 614
  integer, parameter :: nGC_5291 = 615
  integer, parameter :: nGC_5028 = 616
  integer, parameter :: nGC_5383 = 617
  integer, parameter :: nGC_5380 = 618
  integer, parameter :: nGC_32 = 619
  integer, parameter :: nGC_5386 = 620
  integer, parameter :: nGC_5387 = 621
  integer, parameter :: nGC_5310 = 622
  integer, parameter :: nGC_5385 = 623
  integer, parameter :: nGC_4891 = 624
  integer, parameter :: nGC_183 = 625
  integer, parameter :: nGC_8680 = 626
  integer, parameter :: nGC_4894 = 627
  integer, parameter :: nGC_88 = 628
  integer, parameter :: nGC_89 = 629
  integer, parameter :: nGC_114 = 630
  integer, parameter :: nGC_80 = 631
  integer, parameter :: nGC_81 = 632
  integer, parameter :: nGC_ME = 633
  integer, parameter :: nGC_85 = 634
  integer, parameter :: nGC_5283 = 635
  integer, parameter :: nGC_5180 = 636
  integer, parameter :: nGC_144 = 637
  integer, parameter :: nGC_5182 = 638
  integer, parameter :: nGC_5183 = 639
  integer, parameter :: nGC_5184 = 640
  integer, parameter :: nGC_5185 = 641
  integer, parameter :: nGC_5186 = 642
  integer, parameter :: nGC_5147 = 643
  integer, parameter :: nGC_5188 = 644
  integer, parameter :: nGC_2775 = 645
  integer, parameter :: nGC_66 = 646
  integer, parameter :: nGC_4806 = 647
  integer, parameter :: nGC_64 = 648
  integer, parameter :: nGC_4856 = 649
  integer, parameter :: nGC_62 = 650
  integer, parameter :: nGC_63 = 651
  integer, parameter :: nGC_60 = 652
  integer, parameter :: nGC_4807 = 653
  integer, parameter :: nGC_4851 = 654
  integer, parameter :: nGC_115 = 655
  integer, parameter :: nGC_68 = 656
  integer, parameter :: nGC_4999 = 657
  integer, parameter :: nGC_4965 = 658
  integer, parameter :: nGC_4967 = 659
  integer, parameter :: nGC_4961 = 660
  integer, parameter :: nGC_5151 = 661
  integer, parameter :: nGC_4963 = 662
  integer, parameter :: nGC_4847 = 663
  integer, parameter :: nGC_4814 = 664
  integer, parameter :: nGC_5150 = 665
  integer, parameter :: nGC_4968 = 666
  integer, parameter :: nGC_5427 = 667
  integer, parameter :: nGC_5108 = 668
  integer, parameter :: nGC_4808 = 669
  integer, parameter :: nGC_4809 = 670
  integer, parameter :: nGC_4829 = 671
  integer, parameter :: nGC_8638 = 672
  integer, parameter :: nGC_5062 = 673
  integer, parameter :: nGC_113 = 674
  integer, parameter :: nGC_112 = 675
  integer, parameter :: nGC_111 = 676
  integer, parameter :: nGC_110 = 677
  integer, parameter :: nGC_5012 = 678
  integer, parameter :: nGC_8241 = 679
  integer, parameter :: nGC_5135 = 680
  integer, parameter :: nGC_5010 = 681
  integer, parameter :: nGC_8221 = 682
  integer, parameter :: nGC_7548 = 683
  integer, parameter :: nGC_7549 = 684
  integer, parameter :: nGC_5441 = 685
  integer, parameter :: nGC_5447 = 686
  integer, parameter :: nGC_7901 = 687
  integer, parameter :: nGC_7862 = 688
  integer, parameter :: nGC_8099 = 689
  integer, parameter :: nGC_8319 = 690
  integer, parameter :: nGC_5001 = 691
  integer, parameter :: nGC_5000 = 692
  integer, parameter :: nGC_5003 = 693
  integer, parameter :: nGC_5002 = 694
  integer, parameter :: nGC_5005 = 695
  integer, parameter :: nGC_5168 = 696
  integer, parameter :: nGC_5007 = 697
  integer, parameter :: nGC_5006 = 698
  integer, parameter :: nGC_8704 = 699
  integer, parameter :: nGC_5169 = 700
  integer, parameter :: nGC_8958 = 701
  integer, parameter :: nGC_8486 = 702
  integer, parameter :: nGC_8957 = 703
  integer, parameter :: nGC_387 = 704
  integer, parameter :: nGC_8952 = 705
  integer, parameter :: nGC_5346 = 706
  integer, parameter :: nGC_5228 = 707
  integer, parameter :: nGC_5340 = 708
  integer, parameter :: nGC_5225 = 709
  integer, parameter :: nGC_8007 = 710
  integer, parameter :: nGC_9571 = 711
  integer, parameter :: nGC_8008 = 712
  integer, parameter :: nGC_1329 = 713
  integer, parameter :: nGC_8796 = 714
  integer, parameter :: nGC_8224 = 715
  integer, parameter :: nGC_11025 = 716
  integer, parameter :: nGC_8795 = 717
  integer, parameter :: nGC_8225 = 718
  integer, parameter :: nGC_10175 = 719
  integer, parameter :: nGC_7990 = 720
  integer, parameter :: nGC_7646 = 721
  integer, parameter :: nGC_4842 = 722
  integer, parameter :: nGC_4843 = 723
  integer, parameter :: nGC_4840 = 724
  integer, parameter :: nGC_4841 = 725
  integer, parameter :: nGC_9375 = 726
  integer, parameter :: nGC_7767 = 727
  integer, parameter :: nGC_5331 = 728
  integer, parameter :: nGC_9665 = 729
  integer, parameter :: nGC_1813 = 730
  integer, parameter :: nGC_8172 = 731
  integer, parameter :: nGC_8173 = 732
  integer, parameter :: nGC_5406 = 733
  integer, parameter :: nGC_5400 = 734
  integer, parameter :: nGC_5403 = 735
  integer, parameter :: nGC_5409 = 736
  integer, parameter :: nGC_4837 = 737
  integer, parameter :: nGC_4835 = 738
  integer, parameter :: nGC_4834 = 739
  integer, parameter :: nGC_4832 = 740
  integer, parameter :: nGC_4938 = 741
  integer, parameter :: nGC_4939 = 742
  integer, parameter :: nGC_4936 = 743
  integer, parameter :: nGC_4937 = 744
  integer, parameter :: nGC_9202 = 745
  integer, parameter :: nGC_4839 = 746
  integer, parameter :: nGC_4931 = 747
  integer, parameter :: nGC_7948 = 748
  integer, parameter :: nGC_9666 = 749
  integer, parameter :: nGC_5045 = 750
  integer, parameter :: nGC_5047 = 751
  integer, parameter :: nGC_5041 = 752
  integer, parameter :: nGC_5040 = 753
  integer, parameter :: nGC_5043 = 754
  integer, parameter :: nGC_5042 = 755
  integer, parameter :: nGC_8357 = 756
  integer, parameter :: nGC_7579 = 757
  integer, parameter :: nGC_7578 = 758
  integer, parameter :: nGC_5166 = 759
  integer, parameter :: nGC_8401 = 760
  integer, parameter :: nGC_5163 = 761
  integer, parameter :: nGC_5160 = 762
  integer, parameter :: nGC_7835 = 763
  integer, parameter :: nGC_8855 = 764
  integer, parameter :: nGC_8854 = 765
  integer, parameter :: nGC_5308 = 766
  integer, parameter :: nGC_5302 = 767
  integer, parameter :: nGC_5300 = 768
  integer, parameter :: nGC_1041 = 769
  integer, parameter :: nGC_8751 = 770
  integer, parameter :: nGC_5306 = 771
  integer, parameter :: nGC_4886 = 772
  integer, parameter :: nGC_7688 = 773
  integer, parameter :: nGC_5274 = 774
  integer, parameter :: nGC_4882 = 775
  integer, parameter :: nGC_7727 = 776
  integer, parameter :: nGC_5270 = 777
  integer, parameter :: nGC_7725 = 778
  integer, parameter :: nGC_7680 = 779
  integer, parameter :: nGC_7728 = 780
  integer, parameter :: nGC_7682 = 781
  integer, parameter :: nGC_7685 = 782
  integer, parameter :: nGC_9601 = 783
  integer, parameter :: nGC_7687 = 784
  integer, parameter :: nGC_8130 = 785
  integer, parameter :: nGC_9033 = 786
  integer, parameter :: nGC_5379 = 787
  integer, parameter :: nGC_9039 = 788
  integer, parameter :: nGC_5373 = 789
  integer, parameter :: nGC_5370 = 790
  integer, parameter :: nGC_8032 = 791
  integer, parameter :: nGC_8037 = 792
  integer, parameter :: nGC_8036 = 793
  integer, parameter :: nGC_8035 = 794
  integer, parameter :: nGC_341 = 795
  integer, parameter :: nGC_605 = 796
  integer, parameter :: nGC_8610 = 797
  integer, parameter :: nGC_4972 = 798
  integer, parameter :: nGC_4973 = 799
  integer, parameter :: nGC_4970 = 800
  integer, parameter :: nGC_7754 = 801
  integer, parameter :: nGC_7751 = 802
  integer, parameter :: nGC_4975 = 803
  integer, parameter :: nGC_7615 = 804
  integer, parameter :: nGC_7613 = 805
  integer, parameter :: nGC_7610 = 806
  integer, parameter :: nGC_9085 = 807
  integer, parameter :: nGC_5288 = 808
  integer, parameter :: nGC_8318 = 809
  integer, parameter :: nGC_8628 = 810
  integer, parameter :: nGC_4873 = 811
  integer, parameter :: nGC_4872 = 812
  integer, parameter :: nGC_8625 = 813
  integer, parameter :: nGC_5286 = 814
  integer, parameter :: nGC_8149 = 815
  integer, parameter :: nGC_5089 = 816
  integer, parameter :: nGC_5120 = 817
  integer, parameter :: nGC_5126 = 818
  integer, parameter :: nGC_7536 = 819
  integer, parameter :: nGC_4951 = 820
  integer, parameter :: nGC_5081 = 821
  integer, parameter :: nGC_7539 = 822
  integer, parameter :: nGC_5129 = 823
  integer, parameter :: nGC_5085 = 824
  integer, parameter :: nGC_5087 = 825
  integer, parameter :: nGC_5004 = 826
  integer, parameter :: nGC_4989 = 827
  integer, parameter :: nGC_4907 = 828
  integer, parameter :: nGC_4906 = 829
  integer, parameter :: nGC_4905 = 830
  integer, parameter :: nGC_4904 = 831
  integer, parameter :: nGC_4903 = 832
  integer, parameter :: nGC_4902 = 833
  integer, parameter :: nGC_4901 = 834
  integer, parameter :: nGC_4900 = 835
  integer, parameter :: nGC_9669 = 836
  integer, parameter :: nGC_9668 = 837
  integer, parameter :: nGC_4985 = 838
  integer, parameter :: nGC_4909 = 839
  integer, parameter :: nGC_4908 = 840
  integer, parameter :: nGC_839 = 841
  integer, parameter :: nGC_4983 = 842
  integer, parameter :: nGC_7870 = 843
  integer, parameter :: nGC_7871 = 844
  integer, parameter :: nGC_8088 = 845
  integer, parameter :: nGC_8082 = 846
  integer, parameter :: nGC_8085 = 847
  integer, parameter :: nGC_5157 = 848
  integer, parameter :: nGC_5156 = 849
  integer, parameter :: nGC_5154 = 850
  integer, parameter :: nGC_5152 = 851
  integer, parameter :: nGC_11304 = 852
  integer, parameter :: nGC_5019 = 853
  integer, parameter :: nGC_5016 = 854
  integer, parameter :: nGC_5017 = 855
  integer, parameter :: nGC_5014 = 856
  integer, parameter :: nGC_5015 = 857
  integer, parameter :: nGC_8240 = 858
  integer, parameter :: nGC_5013 = 859
  integer, parameter :: nGC_5159 = 860
  integer, parameter :: nGC_5011 = 861
  integer, parameter :: nGC_8961 = 862
  integer, parameter :: nGC_8960 = 863
  integer, parameter :: nGC_909 = 864
  integer, parameter :: nGC_5238 = 865
  integer, parameter :: nGC_5337 = 866
  integer, parameter :: nGC_5334 = 867
  integer, parameter :: nGC_7803 = 868
  integer, parameter :: nGC_4862 = 869
  integer, parameter :: nGC_9569 = 870
  integer, parameter :: nGC_8404 = 871
  integer, parameter :: nGC_8405 = 872
  integer, parameter :: nGC_4887 = 873
  integer, parameter :: nGC_5248 = 874
  integer, parameter :: nGC_11011 = 875
  integer, parameter :: nGC_265 = 876
  integer, parameter :: nGC_5272 = 877
  integer, parameter :: nGC_8813 = 878
  integer, parameter :: nGC_8583 = 879
  integer, parameter :: nGC_8582 = 880
  integer, parameter :: nGC_8589 = 881
  integer, parameter :: nGC_8588 = 882
  integer, parameter :: nGC_7651 = 883
  integer, parameter :: nGC_4960 = 884
  integer, parameter :: nGC_7719 = 885
  integer, parameter :: nGC_5246 = 886
  integer, parameter :: nGC_7715 = 887
  integer, parameter :: nGC_4893 = 888
  integer, parameter :: nGC_9048 = 889
  integer, parameter :: nGC_8063 = 890
  integer, parameter :: nGC_9041 = 891
  integer, parameter :: nGC_9042 = 892
  integer, parameter :: nGC_9045 = 893
  integer, parameter :: nGC_8105 = 894
  integer, parameter :: nGC_8104 = 895
  integer, parameter :: nGC_1217 = 896
  integer, parameter :: nGC_5412 = 897
  integer, parameter :: nGC_9621 = 898
  integer, parameter :: nGC_421 = 899
  integer, parameter :: nGC_9185 = 900
  integer, parameter :: nGC_5418 = 901
  integer, parameter :: nGC_9180 = 902
  integer, parameter :: nGC_4824 = 903
  integer, parameter :: nGC_4825 = 904
  integer, parameter :: nGC_4949 = 905
  integer, parameter :: nGC_4827 = 906
  integer, parameter :: nGC_4821 = 907
  integer, parameter :: nGC_9748 = 908
  integer, parameter :: nGC_4823 = 909
  integer, parameter :: nGC_4943 = 910
  integer, parameter :: nGC_4942 = 911
  integer, parameter :: nGC_4941 = 912
  integer, parameter :: nGC_9046 = 913
  integer, parameter :: nGC_4947 = 914
  integer, parameter :: nGC_4946 = 915
  integer, parameter :: nGC_5343 = 916
  integer, parameter :: nGC_2473 = 917
  integer, parameter :: nGC_8208 = 918
  integer, parameter :: nGC_11904 = 919
  integer, parameter :: nGC_11906 = 920
  integer, parameter :: nGC_10597 = 921
  integer, parameter :: nGC_5119 = 922
  integer, parameter :: nGC_7569 = 923
  integer, parameter :: nGC_7564 = 924
  integer, parameter :: nGC_7565 = 925
  integer, parameter :: nGC_5111 = 926
  integer, parameter :: nGC_5117 = 927
  integer, parameter :: nGC_5116 = 928
  integer, parameter :: nGC_7563 = 929
  integer, parameter :: nGC_5466 = 930
  integer, parameter :: nGC_5465 = 931
  integer, parameter :: nGC_5464 = 932
  integer, parameter :: nGC_7847 = 933
  integer, parameter :: nGC_7848 = 934
  integer, parameter :: nGC_4822 = 935
  integer, parameter :: nGC_5027 = 936
  integer, parameter :: nGC_5026 = 937
  integer, parameter :: nGC_5025 = 938
  integer, parameter :: nGC_5024 = 939
  integer, parameter :: nGC_5023 = 940
  integer, parameter :: nGC_8339 = 941
  integer, parameter :: nGC_5021 = 942
  integer, parameter :: nGC_5020 = 943
  integer, parameter :: nGC_5029 = 944
  integer, parameter :: nGC_7697 = 945
  integer, parameter :: nGC_7694 = 946
  integer, parameter :: nGC_7691 = 947
  integer, parameter :: nGC_5201 = 948
  integer, parameter :: nGC_5207 = 949
  integer, parameter :: nGC_7993 = 950
  integer, parameter :: nGC_9008 = 951
  integer, parameter :: nGC_7996 = 952
  integer, parameter :: nGC_5364 = 953
  integer, parameter :: nGC_4994 = 954
  integer, parameter :: nGC_5361 = 955
  integer, parameter :: nGC_8928 = 956
  integer, parameter :: nGC_7859 = 957
  integer, parameter :: nGC_8021 = 958
  integer, parameter :: nGC_8927 = 959
  integer, parameter :: nGC_299 = 960
  integer, parameter :: nGC_8026 = 961
  integer, parameter :: nGC_8027 = 962
  integer, parameter :: nGC_7744 = 963
  integer, parameter :: nGC_7669 = 964
  integer, parameter :: nGC_11028 = 965
  integer, parameter :: nGC_9623 = 966
  integer, parameter :: nGC_7742 = 967
  integer, parameter :: nGC_4988 = 968
  integer, parameter :: nGC_4987 = 969
  integer, parameter :: nGC_4986 = 970
  integer, parameter :: nGC_7661 = 971
  integer, parameter :: nGC_4984 = 972
  integer, parameter :: nGC_7667 = 973
  integer, parameter :: nGC_4982 = 974
  integer, parameter :: nGC_4981 = 975
  integer, parameter :: nGC_7664 = 976
  integer, parameter :: nGC_4868 = 977
  integer, parameter :: nGC_4869 = 978
  integer, parameter :: nGC_8157 = 979
  integer, parameter :: nGC_4860 = 980
  integer, parameter :: nGC_4861 = 981
  integer, parameter :: nGC_5292 = 982
  integer, parameter :: nGC_4863 = 983
  integer, parameter :: nGC_4864 = 984
  integer, parameter :: nGC_9186 = 985
  integer, parameter :: nGC_5094 = 986
  integer, parameter :: nGC_9629 = 987
  integer, parameter :: nGC_709 = 988
  integer, parameter :: nGC_7522 = 989
  integer, parameter :: nGC_7524 = 990
  integer, parameter :: nGC_7525 = 991
  integer, parameter :: nGC_7527 = 992
  integer, parameter :: nGC_4914 = 993
  integer, parameter :: nGC_5429 = 994
  integer, parameter :: nGC_9899 = 995
  integer, parameter :: nGC_4910 = 996
  integer, parameter :: nGC_4911 = 997
  integer, parameter :: nGC_5009 = 998
  integer, parameter :: nGC_5421 = 999
  integer, parameter :: nGC_13174 = 1000
  integer, parameter :: nGC_9749 = 1001
  integer, parameter :: nGC_4971 = 1002
  integer, parameter :: nGC_8376 = 1003
  integer, parameter :: nGC_5008 = 1004
  integer, parameter :: nGC_4977 = 1005
  integer, parameter :: nGC_7595 = 1006
  integer, parameter :: nGC_5068 = 1007
  integer, parameter :: nGC_4974 = 1008
  integer, parameter :: nGC_9600 = 1009
  integer, parameter :: nGC_4828 = 1010
  integer, parameter :: nGC_5065 = 1011
  integer, parameter :: nGC_7705 = 1012
  integer, parameter :: nGC_4944 = 1013
  integer, parameter :: nGC_7793 = 1014
  integer, parameter :: nGC_7792 = 1015
  integer, parameter :: nGC_4979 = 1016
  integer, parameter :: nGC_7794 = 1017
  integer, parameter :: nGC_7818 = 1018
  integer, parameter :: nGC_5325 = 1019
  integer, parameter :: nGC_4932 = 1020
  integer, parameter :: nGC_7816 = 1021
  integer, parameter :: nGC_8770 = 1022
  integer, parameter :: nGC_8805 = 1023
  integer, parameter :: nGC_5144 = 1024
  integer, parameter :: nGC_4930 = 1025
  integer, parameter :: nGC_4846 = 1026
  integer, parameter :: nGC_7882 = 1027
  integer, parameter :: nGC_5394 = 1028
  integer, parameter :: nGC_5397 = 1029
  integer, parameter :: nGC_4870 = 1030
  integer, parameter :: nGC_5258 = 1031
  integer, parameter :: nGC_7768 = 1032
  integer, parameter :: nGC_9423 = 1033
  integer, parameter :: nGC_9422 = 1034
  integer, parameter :: nGC_9088 = 1035
  integer, parameter :: nGC_8051 = 1036
  integer, parameter :: nGC_8052 = 1037
  integer, parameter :: nGC_8055 = 1038
  integer, parameter :: nGC_989 = 1039
  integer, parameter :: nGC_8507 = 1040
  integer, parameter :: nGC_8058 = 1041
  integer, parameter :: nGC_9582 = 1042
  integer, parameter :: nGC_5284 = 1043
  integer, parameter :: nGC_8503 = 1044
  integer, parameter :: nGC_9585 = 1045
  integer, parameter :: nGC_5193 = 1046
  integer, parameter :: nGC_11026 = 1047
  integer, parameter :: nGC_5195 = 1048
  integer, parameter :: nGC_9900 = 1049
  integer, parameter :: nGC_4964 = 1050
  integer, parameter :: nGC_7634 = 1051
  integer, parameter :: nGC_7635 = 1052
  integer, parameter :: nGC_7636 = 1053
  integer, parameter :: nGC_4811 = 1054
  integer, parameter :: nGC_4959 = 1055
  integer, parameter :: nGC_4813 = 1056
  integer, parameter :: nGC_4812 = 1057
  integer, parameter :: nGC_4815 = 1058
  integer, parameter :: nGC_4817 = 1059
  integer, parameter :: nGC_4816 = 1060
  integer, parameter :: nGC_4819 = 1061
  integer, parameter :: nGC_4818 = 1062
  integer, parameter :: nGC_4952 = 1063
  integer, parameter :: nGC_4953 = 1064
  integer, parameter :: nGC_4954 = 1065
  integer, parameter :: nGC_4955 = 1066
  integer, parameter :: nGC_4956 = 1067
  integer, parameter :: nGC_4957 = 1068
  integer, parameter :: nGC_4899 = 1069
  integer, parameter :: nGC_4898 = 1070
  integer, parameter :: nGC_7572 = 1071
  integer, parameter :: nGC_8232 = 1072
  integer, parameter :: nGC_7559 = 1073
  integer, parameter :: nGC_5109 = 1074
  integer, parameter :: nGC_7550 = 1075
  integer, parameter :: nGC_5103 = 1076
  integer, parameter :: nGC_7554 = 1077
  integer, parameter :: nGC_7557 = 1078
  integer, parameter :: nGC_4890 = 1079
  integer, parameter :: nGC_9126 = 1080
  integer, parameter :: nGC_7566 = 1081
  integer, parameter :: nGC_7851 = 1082
  integer, parameter :: nGC_7854 = 1083
  integer, parameter :: nGC_7560 = 1084
  integer, parameter :: nGC_8833 = 1085
  integer, parameter :: nGC_4896 = 1086
  integer, parameter :: nGC_5034 = 1087
  integer, parameter :: nGC_5035 = 1088
  integer, parameter :: nGC_5030 = 1089
  integer, parameter :: nGC_5031 = 1090
  integer, parameter :: nGC_5033 = 1091
  integer, parameter :: nGC_5038 = 1092
  integer, parameter :: nGC_5039 = 1093
  integer, parameter :: nGC_8949 = 1094
  integer, parameter :: nGC_8014 = 1095
  integer, parameter :: nGC_4948 = 1096
  integer, parameter :: nGC_5358 = 1097
  integer, parameter :: nGC_8547 = 1098
  integer, parameter :: nGC_8013 = 1099
  integer, parameter :: nGC_7988 = 1100
  integer, parameter :: nGC_5352 = 1101
  integer, parameter :: nGC_5355 = 1102
  integer, parameter :: nGC_9541 = 1103
  integer, parameter :: nGC_7981 = 1104
  integer, parameter :: nGC_8784 = 1105
  integer, parameter :: nGC_8428 = 1106
  integer, parameter :: nGC_8399 = 1107
  integer, parameter :: nGC_8396 = 1108
  integer, parameter :: nGC_8931 = 1109
  integer, parameter :: nGC_8422 = 1110
  integer, parameter :: nGC_7819 = 1111
  integer, parameter :: nGC_7985 = 1112
  integer, parameter :: nGC_9307 = 1113
  integer, parameter :: nGC_9304 = 1114
  integer, parameter :: nGC_7775 = 1115
  integer, parameter :: nGC_7774 = 1116
  integer, parameter :: nGC_4853 = 1117
  integer, parameter :: nGC_4852 = 1118
  integer, parameter :: nGC_4995 = 1119
  integer, parameter :: nGC_4996 = 1120
  integer, parameter :: nGC_4997 = 1121
  integer, parameter :: nGC_7676 = 1122
  integer, parameter :: nGC_8641 = 1123
  integer, parameter :: nGC_9283 = 1124
  integer, parameter :: nGC_9282 = 1125
  integer, parameter :: nGC_10070 = 1126
  integer, parameter :: nGC_10176 = 1127
  integer, parameter :: nGC_9713 = 1128
  integer, parameter :: nGC_10173 = 1129
  integer, parameter :: nGC_8424 = 1130
  integer, parameter :: nGC_4958 = 1131
  integer, parameter :: nGC_7519 = 1132
  integer, parameter :: nGC_5438 = 1133
  integer, parameter :: nGC_4923 = 1134
  integer, parameter :: nGC_4929 = 1135
  integer, parameter :: nGC_5432 = 1136
  integer, parameter :: nGC_8423 = 1137
  integer, parameter :: nGC_7982 = 1138
  integer, parameter :: nGC_11907 = 1139
  integer, parameter :: nGC_7954 = 1140
  integer, parameter :: nGC_7953 = 1141
  integer, parameter :: nGC_8345 = 1142
  integer, parameter :: nGC_8340 = 1143
  integer, parameter :: nGC_5078 = 1144
  integer, parameter :: nGC_7581 = 1145
  integer, parameter :: nGC_7587 = 1146
  integer, parameter :: nGC_7584 = 1147
  integer, parameter :: nGC_4836 = 1148
  integer, parameter :: nGC_5072 = 1149
  integer, parameter :: nGC_7589 = 1150
  integer, parameter :: nGC_5075 = 1151
  integer, parameter :: nGC_4831 = 1152
  integer, parameter :: nGC_7786 = 1153
  integer, parameter :: nGC_7787 = 1154
  integer, parameter :: nGC_4830 = 1155
  integer, parameter :: nGC_8448 = 1156
  integer, parameter :: nGC_5319 = 1157
  integer, parameter :: nGC_5022 = 1158
  integer, parameter :: nGC_8806 = 1159
  integer, parameter :: nGC_4962 = 1160
  integer, parameter :: nGC_4933 = 1161
  integer, parameter :: nGC_4810 = 1162
  integer, parameter :: nGC_9201 = 1163
  integer, parameter :: nGC_4838 = 1164
  integer, parameter :: nGC_7731 = 1165
  integer, parameter :: nGC_7733 = 1166
  integer, parameter :: nGC_7732 = 1167
  integer, parameter :: nGC_8991 = 1168
  integer, parameter :: nGC_8992 = 1169
  integer, parameter :: nGC_7739 = 1170
  integer, parameter :: nGC_5382 = 1171
  integer, parameter :: nGC_5268 = 1172
  integer, parameter :: nGC_5376 = 1173
  integer, parameter :: nGC_8630 = 1174
  integer, parameter :: nGC_5260 = 1175
  integer, parameter :: nGC_5388 = 1176
  integer, parameter :: nGC_4892 = 1177
  integer, parameter :: nGC_4897 = 1178
  integer, parameter :: nGC_5266 = 1179
  integer, parameter :: nGC_8044 = 1180
  integer, parameter :: nGC_8045 = 1181
  integer, parameter :: nGC_8040 = 1182
  integer, parameter :: nGC_8041 = 1183
  integer, parameter :: nGC_4950 = 1184
  integer, parameter :: nGC_5187 = 1185
  integer, parameter :: nGC_5189 = 1186
  integer, parameter :: nGC_7618 = 1187
  integer, parameter :: nGC_4998 = 1188
  integer, parameter :: nGC_8213 = 1189
  integer, parameter :: nGC_4966 = 1190
  integer, parameter :: nGC_5018 = 1191
  integer, parameter :: nGC_7607 = 1192
  integer, parameter :: nGC_7606 = 1193
  integer, parameter :: nGC_4969 = 1194
  integer, parameter :: nGC_8211 = 1195
  integer, parameter :: nGC_7779 = 1196
  integer, parameter :: nGC_9722 = 1197
  integer, parameter :: nGC_4805 = 1198
  integer, parameter :: nGC_8897 = 1199
  integer, parameter :: nGC_7970 = 1200
  integer, parameter :: nGC_7654 = 1201
  integer, parameter :: nGC_8488 = 1202
  integer, parameter :: nGC_8489 = 1203
  integer, parameter :: nGC_7989 = 1204
  integer, parameter :: nGC_7876 = 1205
  integer, parameter :: nGC_8898 = 1206
  integer, parameter :: nGC_8953 = 1207
  integer, parameter :: nGC_8363 = 1208
  integer, parameter :: nGC_7547 = 1209
  integer, parameter :: nGC_7811 = 1210
  integer, parameter :: nGC_8453 = 1211
  integer, parameter :: nGC_7540 = 1212
  integer, parameter :: nGC_7934 = 1213
  integer, parameter :: nGC_7933 = 1214
  integer, parameter :: nGC_8087 = 1215
  integer, parameter :: nGC_7588 = 1216
  integer, parameter :: nGC_8064 = 1217
  integer, parameter :: nGC_8771 = 1218
  integer, parameter :: nGC_4976 = 1219
  integer, parameter :: nGC_7752 = 1220
  integer, parameter :: nGC_8065 = 1221
  integer, parameter :: nGC_7670 = 1222
  integer, parameter :: nGC_8326 = 1223
  integer, parameter :: nGC_8325 = 1224
  integer, parameter :: nGC_9572 = 1225
  integer, parameter :: nGC_7759 = 1226
  integer, parameter :: nGC_8320 = 1227
  integer, parameter :: nGC_9049 = 1228
  integer, parameter :: nGC_9750 = 1229
  integer, parameter :: nGC_7621 = 1230
  integer, parameter :: nGC_7745 = 1231
  integer, parameter :: nGC_9540 = 1232
  integer, parameter :: nGC_8629 = 1233
  integer, parameter :: nGC_8649 = 1234
  integer, parameter :: nGC_11029 = 1235
  integer, parameter :: nGC_9009 = 1236
  integer, parameter :: nGC_9203 = 1237
  integer, parameter :: nGC_7594 = 1238
  integer, parameter :: nGC_8648 = 1239
  integer, parameter :: nGC_4874 = 1240
  integer, parameter :: nGC_9285 = 1241
  integer, parameter :: nGC_9284 = 1242
  integer, parameter :: nGC_7900 = 1243
  integer, parameter :: nGC_8537 = 1244
  integer, parameter :: nGC_8538 = 1245
  integer, parameter :: nGC_7861 = 1246
  integer, parameter :: nGC_7645 = 1247
  integer, parameter :: nGC_8212 = 1248
  integer, parameter :: nGC_7637 = 1249
  integer, parameter :: nGC_8452 = 1250
  integer, parameter :: nGC_8425 = 1251
  integer, parameter :: nGC_8094 = 1252
  integer, parameter :: nGC_7926 = 1253
  integer, parameter :: nGC_13170 = 1254
  integer, parameter :: nGC_10071 = 1255
  integer, parameter :: nGC_8093 = 1256
  integer, parameter :: nGC_7622 = 1257
  integer, parameter :: nGC_9624 = 1258
  integer, parameter :: nGC_7625 = 1259
  integer, parameter :: nGC_8786 = 1260
  integer, parameter :: nGC_9377 = 1261
  integer, parameter :: nGC_9376 = 1262
  integer, parameter :: nGC_8400 = 1263
  integer, parameter :: nGC_7532 = 1264
  integer, parameter :: nGC_8705 = 1265
  integer, parameter :: nGC_9545 = 1266
  integer, parameter :: nGC_9546 = 1267
  integer, parameter :: nGC_9378 = 1268
  integer, parameter :: nGC_7573 = 1269
  integer, parameter :: nGC_7598 = 1270
  integer, parameter :: nGC_7760 = 1271
  integer, parameter :: nGC_4980 = 1272
  integer, parameter :: nGC_8785 = 1273
  integer, parameter :: nGC_9204 = 1274
  integer, parameter :: nGC_8074 = 1275
  integer, parameter :: nGC_8611 = 1276
  integer, parameter :: nGC_8814 = 1277
  integer, parameter :: nGC_4978 = 1278
  integer, parameter :: nGC_8079 = 1279
  integer, parameter :: nGC_8080 = 1280
  integer, parameter :: nGC_7599 = 1281
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
