!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-15 18:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_11906) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_10597) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
    coupl(nGC_5119) = coupl(nGC_5118)*dys_QED1
    coupl(nGC_7569) = coupl(nGC_122)*dZH + coupl(nGC_122)*dZZ + coupl(nGC_5225)
    coupl(nGC_7564) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_7565) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_5111) = coupl(nGC_5110)*dys_QED1
    coupl(nGC_5117) = coupl(nGC_5115)*dyc_QED1_QCD2
    coupl(nGC_5116) = coupl(nGC_5115)*dyc_QED1
    coupl(nGC_7563) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5466) = coupl(nGC_227)*dMZ2
    coupl(nGC_5465) = coupl(nGC_223)*dMW2
    coupl(nGC_5464) = coupl(nGC_219)*dMW2
    coupl(nGC_7847) = coupl(nGC_155)*dZH/2d0 + coupl(nGC_5177)
    coupl(nGC_7848) = coupl(nGC_5178) + coupl(nGC_7846)
    coupl(nGC_4822) = cima*(-coupl(nGC_108)**2d0 - coupl(nGC_115)**2d0 - coupl(&
                      nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5027) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1217) + 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1227) - 30d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_5026) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)**2d0 - &
                      coupl(nGC_102)**2d0 - coupl(nGC_103)**2d0 - 2d0*coupl(   &
                      nGC_17)**2d0 - 2d0*coupl(nGC_18)**2d0 - 2d0*coupl(nGC_19 &
                      )**2d0 - 2d0*coupl(nGC_23)**2d0 - 2d0*coupl(nGC_24)**2d0 &
                       - 2d0*coupl(nGC_25)**2d0 - 2d0*coupl(nGC_26)**2d0 - 2d0*&
                      coupl(nGC_27)**2d0 - 2d0*coupl(nGC_28)**2d0 - 2d0*coupl( &
                      nGC_32)**2d0 - 2d0*coupl(nGC_33)**2d0 - 2d0*coupl(nGC_34 &
                      )**2d0 - coupl(nGC_86)**2d0 - coupl(nGC_87)**2d0 - coupl(&
                      nGC_88)**2d0 - coupl(nGC_92)**2d0 - coupl(nGC_93)**2d0 - &
                      coupl(nGC_94)**2d0 - coupl(nGC_95)**2d0 - coupl(nGC_96)**&
                      2d0 - coupl(nGC_97)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_5025) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)**2d0 +  &
                      coupl(nGC_102)**2d0 + coupl(nGC_103)**2d0 + 2d0*coupl(   &
                      nGC_17)**2d0 + 2d0*coupl(nGC_18)**2d0 + 2d0*coupl(nGC_19 &
                      )**2d0 + 2d0*coupl(nGC_23)**2d0 + 2d0*coupl(nGC_24)**2d0 &
                       + 2d0*coupl(nGC_25)**2d0 + 2d0*coupl(nGC_26)**2d0 + 2d0*&
                      coupl(nGC_27)**2d0 + 2d0*coupl(nGC_28)**2d0 + 2d0*coupl( &
                      nGC_32)**2d0 + 2d0*coupl(nGC_33)**2d0 + 2d0*coupl(nGC_34 &
                      )**2d0 + coupl(nGC_86)**2d0 + coupl(nGC_87)**2d0 + coupl(&
                      nGC_88)**2d0 + coupl(nGC_92)**2d0 + coupl(nGC_93)**2d0 + &
                      coupl(nGC_94)**2d0 + coupl(nGC_95)**2d0 + coupl(nGC_96)**&
                      2d0 + coupl(nGC_97)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5024) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) -  &
                      coupl(nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl( &
                      nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93   &
                      ) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl&
                      (nGC_97))/(128d0*pi**2d0)
    coupl(nGC_5023) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + coupl(&
                      nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(96d0*pi**2d0*Nc**2d0)
    coupl(nGC_8339) = coupl(nGC_5367) + coupl(nGC_90)*dZZp/2d0 + coupl(nGC_90)*&
                      dZmuMinusL
    coupl(nGC_5021) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +   &
                      coupl(nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl( &
                      nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93   &
                      ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl&
                      (nGC_97))/(128d0*pi**2d0)
    coupl(nGC_5020) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + coupl(&
                      nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(384d0*pi**2d0)
    coupl(nGC_5029) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1217) + 12d0*Nc*cima*coupl(      &
                      nGC_1215)*coupl(nGC_1217) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_1215)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(  &
                      nGC_1217)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1227)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0*Nc)
    coupl(nGC_7697) = coupl(nGC_48)*dZA/2d0 + coupl(nGC_48)*dZWMinus/2d0 +     &
                      coupl(nGC_5180)
    coupl(nGC_7694) = coupl(nGC_142)*dZeMinusR/2d0 + coupl(nGC_142)*dZnu_eL/2d0&
                       + coupl(nGC_5140)
    coupl(nGC_7691) = coupl(nGC_121)*dZZ + coupl(nGC_5228)
    coupl(nGC_5201) = coupl(nGC_5200)*dsw_
    coupl(nGC_5207) = coupl(nGC_5205)*dcw_ + coupl(nGC_5206)*dsw_
    coupl(nGC_7993) = coupl(nGC_114)*dZsL_QCD2
    coupl(nGC_9008) = coupl(nGC_159)*dZH/2d0 + coupl(nGC_5154)
    coupl(nGC_7996) = coupl(nGC_110)*dZsR_QCD2
    coupl(nGC_5364) = coupl(nGC_5362)*dcw_ + coupl(nGC_5363)*dsw_
    coupl(nGC_4994) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_129)**2d0 - &
                      coupl(nGC_134)**2d0 - coupl(nGC_135)**2d0 - coupl(nGC_136&
                      )**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_154)**2d0 -     &
                      coupl(nGC_162)**2d0 - coupl(nGC_163)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5361) = coupl(nGC_5359)*dcw_ + coupl(nGC_5360)*dsw_
    coupl(nGC_8928) = coupl(nGC_5308) + coupl(nGC_58)*dZWpMinus/2d0 + coupl(   &
                      nGC_58)*dZnu_tauL/2d0 + coupl(nGC_58)*dZtauMinusL/2d0
    coupl(nGC_7859) = coupl(nGC_79)*(dZbR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8021) = coupl(nGC_34)*(dZcR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8927) = coupl(nGC_5310) + coupl(nGC_76)*dZWpMinus/2d0 + coupl(   &
                      nGC_76)*dZnu_tauR/2d0 + coupl(nGC_76)*dZtauMinusR/2d0
    coupl(nGC_8026) = coupl(nGC_34)*dZZp/2d0 + coupl(nGC_5412)
    coupl(nGC_8027) = coupl(nGC_25)*dZZp/2d0 + coupl(nGC_5409)
    coupl(nGC_7744) = coupl(nGC_5256) + coupl(nGC_81)*dZWpMinus/2d0
    coupl(nGC_7669) = coupl(nGC_5262) + coupl(nGC_64)*dZWpMinus/2d0
    coupl(nGC_11028) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_9623) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_7742) = coupl(nGC_63)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_4988) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(      &
                      nGC_154)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*    &
                      coupl(nGC_665) + 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4987) = coupl(nGC_11)*sq2*(coupl(nGC_24)**2d0 + coupl(nGC_25)**  &
                      2d0 + coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(   &
                      nGC_67)**2d0 + coupl(nGC_94)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4986) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_115)**2d0 + coupl(      &
                      nGC_129)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*    &
                      coupl(nGC_665) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_42&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_7661) = coupl(nGC_129)*dZbR_QCD2/2d0 + coupl(nGC_129)*dZtL_QCD2/ &
                      2d0 + coupl(nGC_5133)
    coupl(nGC_4984) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(     &
                      nGC_154)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*    &
                      coupl(nGC_665) - 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7667) = coupl(nGC_82)*(dZbR_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_4982) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_115)**2d0 - coupl(     &
                      nGC_129)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*    &
                      coupl(nGC_665) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_42&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4981) = coupl(nGC_11)*sq2*(coupl(nGC_101)**2d0 + coupl(nGC_32)** &
                      2d0 + coupl(nGC_33)**2d0 + coupl(nGC_77)**2d0 + coupl(   &
                      nGC_78)**2d0 + coupl(nGC_79)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7664) = coupl(nGC_64)*(dZbL_QCD2 + dZcL_QCD2)/2d0
    coupl(nGC_4868) = coupl(nGC_11)**2d0*coupl(nGC_909)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4869) = coupl(nGC_11)**2d0*coupl(nGC_149)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8157) = coupl(nGC_5282) + coupl(nGC_69)*dZWpMinus/2d0 + coupl(   &
                      nGC_69)*dZmuMinusR/2d0 + coupl(nGC_69)*dZnu_eR/2d0
    coupl(nGC_4860) = coupl(nGC_1017)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4861) = coupl(nGC_11)**2d0*coupl(nGC_130)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5292) = coupl(nGC_5291)*dsw_
    coupl(nGC_4863) = coupl(nGC_11)**2d0*coupl(nGC_137)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4864) = coupl(nGC_11)**2d0*coupl(nGC_839)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9186) = coupl(nGC_102)*dZZp/2d0 + coupl(nGC_5403)
    coupl(nGC_5094) = coupl(nGC_5092)*dyup_QED1_QCD2
    coupl(nGC_9629) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_muL + coupl(&
                      nGC_5444)
    coupl(nGC_7522) = coupl(nGC_62)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_7524) = coupl(nGC_5254) + coupl(nGC_80)*dZWpMinus/2d0
    coupl(nGC_7525) = coupl(nGC_5252) + coupl(nGC_62)*dZWpMinus/2d0
    coupl(nGC_7527) = coupl(nGC_32)*(dZcR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_4914) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5429) = coupl(nGC_5428)*dsw_
    coupl(nGC_9899) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_4910) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4911) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5009) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_110)**2d0 - &
                      coupl(nGC_111)**2d0 - coupl(nGC_114)**2d0 - coupl(nGC_115&
                      )**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_5421) = coupl(nGC_183)*dZgs_QCD2
    coupl(nGC_13174) = -coupl(nGC_5024)
    coupl(nGC_9749) = -coupl(nGC_5142) - coupl(nGC_9748)
    coupl(nGC_4971) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_110)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_149)*    &
                      coupl(nGC_909) + coupl(nGC_150)**2d0 + coupl(nGC_151)*   &
                      coupl(nGC_153) + coupl(nGC_152)**2d0)/(64d0*pi**2d0)
    coupl(nGC_8376) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_113)*dZZ/2d0 + coupl( &
                      nGC_5207)
    coupl(nGC_5008) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_110)**2d0 +  &
                      coupl(nGC_111)**2d0 + coupl(nGC_114)**2d0 + coupl(nGC_115&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4977) = coupl(nGC_11)*sq2*(-coupl(nGC_101)**2d0 - coupl(nGC_32)**&
                      2d0 - coupl(nGC_33)**2d0 - coupl(nGC_77)**2d0 - coupl(   &
                      nGC_78)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_7595) = coupl(nGC_22)*dZZp/2d0 + coupl(nGC_22)*dZmuMinusL/2d0 +  &
                      coupl(nGC_22)*dZtauMinusL/2d0 + coupl(nGC_5373)
    coupl(nGC_5068) = coupl(nGC_5066)*dcw_ + coupl(nGC_5067)*dsw_
    coupl(nGC_4974) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_109)**2d0 - 4d0*coupl( &
                      nGC_115)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_160)**2d0&
                       - coupl(nGC_161)*coupl(nGC_421) - 4d0*coupl(nGC_2)**2d0 &
                       - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9600) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_4828) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_109)**2d0 - coupl(  &
                      nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5065) = coupl(nGC_5063)*dMW2 + coupl(nGC_5064)*dsw_
    coupl(nGC_7705) = coupl(nGC_5292) + coupl(nGC_72)*dZWpMinus/2d0 + coupl(   &
                      nGC_72)*dZmuMinusR/2d0 + coupl(nGC_72)*dZnu_muR/2d0
    coupl(nGC_4944) = coupl(nGC_11)*sq2*(coupl(nGC_18)**2d0 + coupl(nGC_19)**  &
                      2d0 + coupl(nGC_61)**2d0 + coupl(nGC_64)**2d0 + coupl(   &
                      nGC_67)**2d0 + coupl(nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7793) = -coupl(nGC_5136) - coupl(nGC_7789)
    coupl(nGC_7792) = -coupl(nGC_5135)
    coupl(nGC_4979) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_24)**  &
                      2d0 + coupl(nGC_59)**2d0 + coupl(nGC_60)**2d0 + coupl(   &
                      nGC_61)**2d0 + coupl(nGC_92)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7794) = coupl(nGC_5136) + coupl(nGC_7789)
    coupl(nGC_7818) = coupl(nGC_103)*dZZp/2d0 + coupl(nGC_5418)
    coupl(nGC_5325) = coupl(nGC_5323)*dcw_ + coupl(nGC_5324)*dsw_
    coupl(nGC_4932) = coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101) + coupl(     &
                      nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl(nGC_87 &
                      ) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93) - coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(24d0*pi**2d0)
    coupl(nGC_7816) = coupl(nGC_94)*dZtL_QCD2
    coupl(nGC_8770) = coupl(nGC_139)*dZdR_QCD2/2d0 + coupl(nGC_139)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5106)
    coupl(nGC_8805) = coupl(nGC_5290) + coupl(nGC_53)*dZWpMinus/2d0 + coupl(   &
                      nGC_53)*dZeMinusL/2d0 + coupl(nGC_53)*dZnu_muL/2d0
    coupl(nGC_5144) = coupl(nGC_5143)*dye_QED1
    coupl(nGC_4930) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4846) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_7882) = coupl(nGC_5465) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5394) = coupl(nGC_5392)*dcw_ + coupl(nGC_5393)*dsw_
    coupl(nGC_5397) = coupl(nGC_5395)*dcw_ + coupl(nGC_5396)*dsw_
    coupl(nGC_4870) = coupl(nGC_11)**2d0*coupl(nGC_139)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5258) = coupl(nGC_5257)*dsw_
    coupl(nGC_7768) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_5429)
    coupl(nGC_9423) = coupl(nGC_7716) + coupl(nGC_9419)
    coupl(nGC_9422) = coupl(nGC_7716) + coupl(nGC_9421)
    coupl(nGC_9088) = coupl(nGC_5449) + coupl(nGC_MH)*dZH
    coupl(nGC_8051) = -coupl(nGC_5152) - coupl(nGC_8050)
    coupl(nGC_8052) = coupl(nGC_5152) + coupl(nGC_8050)
    coupl(nGC_8055) = coupl(nGC_114)*dZbL_QCD2
    coupl(nGC_8507) = -coupl(nGC_7716)
    coupl(nGC_8058) = coupl(nGC_110)*dZbR_QCD2
    coupl(nGC_9582) = coupl(nGC_115)*dZuL_QCD2
    coupl(nGC_5284) = coupl(nGC_5283)*dsw_
    coupl(nGC_8503) = coupl(nGC_124)*dZH/2d0 + coupl(nGC_5051)
    coupl(nGC_9585) = coupl(nGC_111)*dZuR_QCD2
    coupl(nGC_5193) = coupl(nGC_5192)*dsw_
    coupl(nGC_11026) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5195) = coupl(nGC_5194)*dsw_
    coupl(nGC_9900) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_4964) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_109)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_134  &
                      )**2d0 - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_140)**&
                      2d0 - coupl(nGC_149)*coupl(nGC_909) - coupl(nGC_150)**2d0&
                       - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_7634) = coupl(nGC_152)*dZH/2d0 + coupl(nGC_5111)
    coupl(nGC_7635) = coupl(nGC_140)*dZH/2d0 + coupl(nGC_5108)
    coupl(nGC_7636) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5112)
    coupl(nGC_4811) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4959) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_27)** &
                      2d0 - coupl(nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_83)**2d0 - coupl(nGC_95)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4813) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_4812) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_27)**2d0 - coupl(  &
                      nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_83)**2d0 - &
                      coupl(nGC_95)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4815) = cima*(-cMB*coupl(nGC_88)*coupl(nGC_97) - cMC*coupl(nGC_64&
                      )*coupl(nGC_82) - cMD*coupl(nGC_18)*coupl(nGC_27) - cMS* &
                      coupl(nGC_19)*coupl(nGC_28) - cMT*coupl(nGC_67)*coupl(   &
                      nGC_85) - cMU*coupl(nGC_61)*coupl(nGC_79))/(8d0*pi**2d0)
    coupl(nGC_4817) = cima*(-coupl(nGC_18)**2d0 - coupl(nGC_19)**2d0 - coupl(  &
                      nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_67)**2d0 - &
                      coupl(nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4816) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_114)**2d0 - coupl(  &
                      nGC_42)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4819) = cMC*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4818) = cima*(-coupl(nGC_27)**2d0 - coupl(nGC_28)**2d0 - coupl(  &
                      nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_85)**2d0 - &
                      coupl(nGC_97)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4952) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_108)**2d0 + 4d0*coupl(  &
                      nGC_115)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)*    &
                      coupl(nGC_839) + coupl(nGC_148)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4953) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_25)**  &
                      2d0 + coupl(nGC_62)**2d0 + coupl(nGC_63)**2d0 + coupl(   &
                      nGC_64)**2d0 + coupl(nGC_93)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4954) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(      &
                      nGC_132)**2d0 + coupl(nGC_133)*coupl(nGC_839) + coupl(   &
                      nGC_134)**2d0 + coupl(nGC_135)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_4955) = coupl(nGC_11)*sq2*(coupl(nGC_102)**2d0 + coupl(nGC_32)** &
                      2d0 + coupl(nGC_34)**2d0 + coupl(nGC_80)**2d0 + coupl(   &
                      nGC_81)**2d0 + coupl(nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4956) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(       &
                      nGC_1041)*coupl(nGC_137) - 4d0*coupl(nGC_108)**2d0 - 4d0*&
                      coupl(nGC_114)**2d0 - coupl(nGC_135)**2d0 - coupl(nGC_138&
                      )**2d0 - coupl(nGC_151)*coupl(nGC_153) - coupl(nGC_152)**&
                      2d0 - coupl(nGC_162)**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0&
                      *pi**2d0*Nc)
    coupl(nGC_4957) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_18)** &
                      2d0 - coupl(nGC_59)**2d0 - coupl(nGC_62)**2d0 - coupl(   &
                      nGC_65)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4899) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4898) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7572) = coupl(nGC_45)*dZWMinus/2d0 + coupl(nGC_5068)
    coupl(nGC_8232) = coupl(nGC_120)*dZH/2d0 + coupl(nGC_5085)
    coupl(nGC_7559) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_5109) = coupl(nGC_5107)*dydo_QED1_QCD2
    coupl(nGC_7550) = -coupl(nGC_7549)
    coupl(nGC_5103) = coupl(nGC_5101)*dys_QED1_QCD2
    coupl(nGC_7554) = coupl(nGC_109)*dZWMinus/2d0 + coupl(nGC_5425)
    coupl(nGC_7557) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_4890) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9126) = coupl(nGC_5464) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_7566) = coupl(nGC_5455) + coupl(nGC_7564)
    coupl(nGC_7851) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZmuMinusL/2d0&
                       + coupl(nGC_42)*dZnu_muL/2d0 + coupl(nGC_5429)
    coupl(nGC_7854) = coupl(nGC_5214) + coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)*   &
                      dZWMinus/2d0 + coupl(nGC_8)*dZZ/2d0
    coupl(nGC_7560) = coupl(nGC_5459) + coupl(nGC_7558)
    coupl(nGC_8833) = coupl(nGC_5163) + coupl(nGC_8831)
    coupl(nGC_4896) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5034) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1217)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1215)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_1217)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_5035) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1217)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_1217)*&
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1227)*sq2**  &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_5030) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_12)*coupl(nGC_1217) + 3d0*Nc*cima*coupl(       &
                      nGC_1215)*coupl(nGC_1217) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1215)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1217)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_5031) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_1217) + 6d0*Nc*cima*coupl(       &
                      nGC_1215)*coupl(nGC_1217) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1215)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1217)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1227)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_5033) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_1217)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1215)*sq2**  &
                      2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_1217)*sq2**2d0 + &
                      3d0*coupl(nGC_10)**2d0*coupl(nGC_1227)*sq2**2d0)/(384d0* &
                      pi**2d0)
    coupl(nGC_5038) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1217) + 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1227) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5039) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1217) + 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1227) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_8949) = coupl(nGC_MI)*dZZ
    coupl(nGC_8014) = coupl(nGC_5300) + coupl(nGC_74)*dZWpMinus/2d0 + coupl(   &
                      nGC_74)*dZeMinusR/2d0 + coupl(nGC_74)*dZnu_tauR/2d0
    coupl(nGC_4948) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_108)**2d0 - 4d0*coupl( &
                      nGC_115)**2d0 - coupl(nGC_132)**2d0 - coupl(nGC_133)*    &
                      coupl(nGC_839) - coupl(nGC_148)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5358) = coupl(nGC_5356)*dcw_ + coupl(nGC_5357)*dsw_
    coupl(nGC_8547) = -coupl(nGC_8376)
    coupl(nGC_8013) = coupl(nGC_5302) + coupl(nGC_56)*dZWpMinus/2d0 + coupl(   &
                      nGC_56)*dZeMinusL/2d0 + coupl(nGC_56)*dZnu_tauL/2d0
    coupl(nGC_7988) = coupl(nGC_114)*dZdL_QCD2
    coupl(nGC_5352) = coupl(nGC_5350)*dcw_ + coupl(nGC_5351)*dsw_
    coupl(nGC_5355) = coupl(nGC_5353)*dcw_ + coupl(nGC_5354)*dsw_
    coupl(nGC_9541) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_7981) = coupl(nGC_45)*dZZ/2d0 + coupl(nGC_5068)
    coupl(nGC_8784) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_8428) = coupl(nGC_105)*dZH/2d0 + coupl(nGC_5065)
    coupl(nGC_8399) = coupl(nGC_144)*dZH/2d0 + coupl(nGC_5144)
    coupl(nGC_8396) = coupl(nGC_144)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_8931) = coupl(nGC_145)*dZmuMinusR/2d0 + coupl(nGC_145)*dZnu_muL/ &
                      2d0 + coupl(nGC_5145)
    coupl(nGC_8422) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_7819) = coupl(nGC_5415) + coupl(nGC_94)*dZZp/2d0
    coupl(nGC_7985) = coupl(nGC_110)*dZdR_QCD2
    coupl(nGC_9307) = coupl(nGC_111)*dZcR_QCD2
    coupl(nGC_9304) = coupl(nGC_115)*dZcL_QCD2
    coupl(nGC_7775) = coupl(nGC_5126) + coupl(nGC_7772)
    coupl(nGC_7774) = -coupl(nGC_5126) - coupl(nGC_7772)
    coupl(nGC_4853) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4852) = coupl(nGC_11)**2d0*coupl(nGC_135)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4995) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_129)**2d0 +  &
                      coupl(nGC_134)**2d0 + coupl(nGC_135)**2d0 + coupl(nGC_136&
                      )**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_154)**2d0 +     &
                      coupl(nGC_162)**2d0 + coupl(nGC_163)**2d0)/(32d0*pi**2d0*&
                      Nc)
    coupl(nGC_4996) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1017)*coupl(&
                      nGC_130) - coupl(nGC_1041)*coupl(nGC_137) - coupl(nGC_133&
                      )*coupl(nGC_839) - coupl(nGC_139)*coupl(nGC_141) - coupl(&
                      nGC_149)*coupl(nGC_909) - coupl(nGC_151)*coupl(nGC_153   &
                      ) - coupl(nGC_156)*coupl(nGC_665) - coupl(nGC_161)*coupl(&
                      nGC_421))/(16d0*pi**2d0)
    coupl(nGC_4997) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1017)*coupl( &
                      nGC_130) + coupl(nGC_1041)*coupl(nGC_137) + coupl(nGC_133&
                      )*coupl(nGC_839) + coupl(nGC_139)*coupl(nGC_141) + coupl(&
                      nGC_149)*coupl(nGC_909) + coupl(nGC_151)*coupl(nGC_153   &
                      ) + coupl(nGC_156)*coupl(nGC_665) + coupl(nGC_161)*coupl(&
                      nGC_421))/(16d0*pi**2d0*Nc)
    coupl(nGC_7676) = coupl(nGC_5306) + coupl(nGC_75)*dZWpMinus/2d0 + coupl(   &
                      nGC_75)*dZmuMinusR/2d0 + coupl(nGC_75)*dZnu_tauR/2d0
    coupl(nGC_8641) = coupl(nGC_39)*dZH/2d0 + coupl(nGC_39)*dZWMinus/2d0 +     &
                      coupl(nGC_5193)
    coupl(nGC_9283) = -coupl(nGC_5174)
    coupl(nGC_9282) = coupl(nGC_156)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_10070) = coupl(nGC_MI)*dZA
    coupl(nGC_10176) = coupl(nGC_10174) + coupl(nGC_5458)
    coupl(nGC_9713) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_5045)
    coupl(nGC_10173) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_8424) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_4958) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(       &
                      nGC_1041)*coupl(nGC_137) - 4d0*coupl(nGC_110)**2d0 -     &
                      coupl(nGC_136)**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_139&
                      )*coupl(nGC_141) - coupl(nGC_140)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7519) = coupl(nGC_80)*(dZcR_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5438) = coupl(nGC_5436)*dcw_ + coupl(nGC_5437)*dsw_
    coupl(nGC_4923) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4929) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5432) = coupl(nGC_5430)*dcw_ + coupl(nGC_5431)*dsw_
    coupl(nGC_8423) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7982) = -coupl(nGC_7981)
    coupl(nGC_11907) = coupl(nGC_11904) + coupl(nGC_5452)
    coupl(nGC_7954) = coupl(nGC_5246) + coupl(nGC_78)*dZWpMinus/2d0
    coupl(nGC_7953) = coupl(nGC_5244) + coupl(nGC_60)*dZWpMinus/2d0
    coupl(nGC_8345) = coupl(nGC_37)*dZWMinus + coupl(nGC_37)*dZZ + coupl(      &
                      nGC_5238)
    coupl(nGC_8340) = coupl(nGC_5370) + coupl(nGC_99)*dZZp/2d0 + coupl(nGC_99)*&
                      dZmuMinusR
    coupl(nGC_5078) = coupl(nGC_5076)*dMW2 + coupl(nGC_5077)*dsw_
    coupl(nGC_7581) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_7587) = -coupl(nGC_5168)
    coupl(nGC_7584) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_4836) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_24)**2d0 - coupl(  &
                      nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - &
                      coupl(nGC_92)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5072) = coupl(nGC_5069)*dMW2 + coupl(nGC_5070)*dcw_ + coupl(     &
                      nGC_5071)*dsw_
    coupl(nGC_7589) = coupl(nGC_5169) + coupl(nGC_7584)
    coupl(nGC_5075) = coupl(nGC_5073)*dcw_ + coupl(nGC_5074)*dsw_
    coupl(nGC_4831) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_28)**2d0 - coupl(  &
                      nGC_78)**2d0 - coupl(nGC_81)**2d0 - coupl(nGC_84)**2d0 - &
                      coupl(nGC_96)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7786) = coupl(nGC_29)*dZZp/2d0 + coupl(nGC_29)*dZeMinusR/2d0 +   &
                      coupl(nGC_29)*dZmuMinusR/2d0 + coupl(nGC_5358)
    coupl(nGC_7787) = coupl(nGC_20)*dZZp/2d0 + coupl(nGC_20)*dZeMinusL/2d0 +   &
                      coupl(nGC_20)*dZmuMinusL/2d0 + coupl(nGC_5355)
    coupl(nGC_4830) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_8448) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_5319) = coupl(nGC_5317)*dcw_ + coupl(nGC_5318)*dsw_
    coupl(nGC_5022) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) - coupl&
                      (nGC_102) - coupl(nGC_103) - coupl(nGC_86) - coupl(nGC_87&
                      ) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93) - coupl&
                      (nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl(nGC_97  &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_8806) = coupl(nGC_5288) + coupl(nGC_71)*dZWpMinus/2d0 + coupl(   &
                      nGC_71)*dZeMinusR/2d0 + coupl(nGC_71)*dZnu_muR/2d0
    coupl(nGC_4962) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_1041&
                      )*coupl(nGC_137) + 4d0*coupl(nGC_110)**2d0 + coupl(      &
                      nGC_136)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_139)*    &
                      coupl(nGC_141) + coupl(nGC_140)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4933) = coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101) - coupl(    &
                      nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl(nGC_97  &
                      ))/(24d0*pi**2d0*Nc)
    coupl(nGC_4810) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_18)**2d0 - coupl(  &
                      nGC_59)**2d0 - coupl(nGC_62)**2d0 - coupl(nGC_65)**2d0 - &
                      coupl(nGC_86)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9201) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_4838) = cMT*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_7731) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5421)
    coupl(nGC_7733) = coupl(nGC_7727) + coupl(nGC_7731)
    coupl(nGC_7732) = coupl(nGC_7728) + coupl(nGC_7731)
    coupl(nGC_8991) = coupl(nGC_19)*dZZp/2d0 + coupl(nGC_5340)
    coupl(nGC_8992) = coupl(nGC_28)*dZZp/2d0 + coupl(nGC_5337)
    coupl(nGC_7739) = coupl(nGC_81)*(dZcR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5382) = coupl(nGC_5380)*dcw_ + coupl(nGC_5381)*dsw_
    coupl(nGC_5268) = coupl(nGC_5267)*dsw_
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
